aboutsummaryrefslogtreecommitdiff
path: root/bin/menu-pass
diff options
context:
space:
mode:
authorSamuel Fadel <samuel@nihil.ws>2023-02-06 02:19:52 +0100
committerSamuel Fadel <samuel@nihil.ws>2023-02-06 02:19:52 +0100
commite9cc14d5be2090a4272edc45f4c77c84dceb29d8 (patch)
treef2a5d1ad736a0b1e1c3fa033653e064a66d025e1 /bin/menu-pass
parentf0dfdb2cb8878c81e8bafdcb020b7b0abd08d55f (diff)
Minor improvements.
* bin/menu-pass: Simpler sanity checks * bin/zzz: I am overthinking
Diffstat (limited to 'bin/menu-pass')
-rwxr-xr-xbin/menu-pass8
1 files changed, 2 insertions, 6 deletions
diff --git a/bin/menu-pass b/bin/menu-pass
index 74468d6..b79c19b 100755
--- a/bin/menu-pass
+++ b/bin/menu-pass
@@ -16,9 +16,5 @@ passfile=$(find -L "${PASSWORD_STORE_DIR}" \
| sed -e 's/.gpg$//' \
| bemenu -i -s -c -l 20 -W 0.2 -p '*')
-if [ -z $passfile ]
-then
- exit 1
-else
- pass show -c $passfile
-fi
+[ -z $passfile ] && exit 1
+pass show -c $passfile